Package Details: famistudio-bin 4.2.1-1

Git Clone URL: https://aur.archlinux.org/famistudio-bin.git (read-only, click to copy)
Package Base: famistudio-bin
Description: A very simple music editor for the Nintendo Entertainment System or Famicom
Upstream URL: https://famistudio.org/
Licenses: MIT
Conflicts: famistudio
Submitter: mcgrew
Maintainer: mcgrew
Last Packager: mcgrew
Votes: 6
Popularity: 0.000011
First Submitted: 2020-10-05 22:04 (UTC)
Last Updated: 2024-05-26 19:26 (UTC)

Latest Comments

1 2 Next › Last »

RoblKyogre commented on 2023-12-18 08:07 (UTC) (edited on 2023-12-18 08:08 (UTC) by RoblKyogre)

the current dotnet-runtime installs .NET v8, but i got an error saying i needed to install .NET v6 when trying to launch this. it went away when installing dotnet-runtime-6.0, so can you change the .NET dependency to that?

here's the error btw:

You must install or update .NET to run this application.

App: /usr/share/famistudio/FamiStudio.dll
Architecture: x64
Framework: 'Microsoft.NETCore.App', version '6.0.0' (x64)
.NET location: /usr/share/dotnet/

The following frameworks were found:
  8.0.0 at [/usr/share/dotnet/shared/Microsoft.NETCore.App]

Learn more:
https://aka.ms/dotnet/app-launch-failed

To install missing framework, download:
https://aka.ms/dotnet-core-applaunch?framework=Microsoft.NETCore.App&framework_version=6.0.0&arch=x64&rid=arch-x64&os=arch

mcgrew commented on 2023-07-14 03:02 (UTC)

BEFORE YOU FLAG AS OUT-OF-DATE:

I am aware that 4.1.0 has been released, but there is some incompatibility with librtmidi on Arch. The dev is looking into it and the package will be updated once that is resolved.

krompus commented on 2023-06-29 09:23 (UTC)

On my Arch system, music playback is silent with this famistudio-bin package, no issues with the famistudio package.

Lawyno commented on 2022-09-01 13:08 (UTC)

Can confirm. Thank you very much!

mcgrew commented on 2022-08-31 23:22 (UTC)

I have found the error. Those files are no longer present or required. I should remember to clear my src & pkg directories before updating.

You should be able to install now.

mcgrew commented on 2022-08-31 14:33 (UTC)

I don't think so, but it's possible. I'll set up a clean VM and do some testing when I get a chance.

Lawyno commented on 2022-08-31 13:59 (UTC) (edited on 2022-08-31 14:01 (UTC) by Lawyno)

When trying to update on Manjaro via yay, the latest version fails to create the package because it can't find OpenTK.dll as well as Resources.

Here's the original error message (although in german):

==> Beginne package()...
cp: der Aufruf von stat für 'OpenTK.dll' ist nicht möglich: Datei oder Verzeichnis nicht gefunden
cp: der Aufruf von stat für 'Resources' ist nicht möglich: Datei oder Verzeichnis nicht gefunden
==> FEHLER: Ein Fehler geschah in package().
    Breche ab...
-> Fehler beim Erstellen: famistudio-bin

So, are there any dependencies missing?

fhdrin commented on 2022-08-30 23:20 (UTC)

Unhandled Exception: System.ArgumentNullException: Value cannot be null. ... [ERROR] FATAL UNHANDLED EXCEPTION: System.ArgumentNullException: Value cannot be null. .. etc...

neither famistudio-bin or famistudio run. 3.3.1 works fine

souxd commented on 2021-12-04 03:01 (UTC)

Changing #!/bin/sh to #!/bin/sh fixes the issue (also, i'm using zsh)

weirdly enough the first time running makepkg it couldnt download the package and i had to use wget but it were an one time thing

mcgrew commented on 2021-12-02 14:07 (UTC) (edited on 2021-12-02 14:10 (UTC) by mcgrew)

I do see an error in the /usr/bin/famistudio shell script. The first line:

#\!/bin/sh

Should read:

#!/bin/sh

This does not seem to be causing any problem (at least from bash), but try modifying that file and see if it fixes the error. If so I will update the package with a fix.